#!/bin/bash

sudo apt-get update && sudo apt-get dist-upgrade

FirmwareIndispensable = "VRAI"
Firmware = "VRAI"
OrdinateurPortable="VRAI"
SystemeIndispensable="VRAI"
Systeme="VRAI"
Reseau="VRAI"
Imprimante="VRAI"
Polices="VRAI"
Photos="VRAI"
AudioVideoVlc="VRAI"
AudioVideo="VRAI"
TelechargementVideo="VRAI"
DVD="VRAI"
Thunderbird="VRAI"
LibreofficeFr="VRAI"

echo ajouts;sudo apt-get install lxrandr

echo "pilotes(drivers) souvent utilisés" ;
if [ A"$FirmwareIndispensable" = A"VRAI" ]; then apt-get install broadcom-sta-common  firmware-brcm80211 firmware-iwlwifi firmware-linux firmware-linux-free firmware-linux-nonfree firmware-misc-nonfree firmware-ralink  linux-headers-amd64 firmware-realtek ;fi

echo "pilotes(drivers) rarement utilisés" ;
if [ A"$Firmware" = A"VRAI" ]; then apt-get install alsa-firmware-loaders atmel-firmware  bladerf-firmware-fx3  dahdi-firmware-nonfree  firmware-amd-graphics firmware-ast firmware-ath9k-htc firmware-atheros firmware-b43-installer firmware-b43legacy-installer  firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-cavium firmware-intel-sound firmware-ipw2x00 firmware-ivtv firmware-iwlwifi firmware-libertas firmware-linux firmware-linux-free firmware-linux-nonfree firmware-misc-nonfree firmware-myricom firmware-netronome firmware-netxen firmware-qcom-media firmware-qcom-soc firmware-qlogic   firmware-samsung firmware-siano firmware-sof-signed firmware-ti-connectivity firmware-zd1211 gnome-firmware grub-firmware-qemu    hackrf-firmware isight-firmware-tools sigrok-firmware-fx2lafw ; fi



echo "wifi"

if [ A"$Wifi" = A"VRAI" ]; then apt-get install rfkill wireless-tools wpasupplicant;fi
echo bluetooth

if [ A"$Bluetooth" = A"VRAI" ]; then apt-get install bluetooth blueman bluez bluez-obexd bluez-firmware pulseaudio-module-bluetooth gnome-bluetooth-3-common gnome-bluetooth-sendto  libspa-0.2-bluetooth ; fi
#ubertooth
echo "ordinateur portable (laptop)" ;

if [ A"$OrdinateurPortable" = A"VRAI" ]; then apt-get install upower laptop-detect;fi
echo "SYSTEME indispensable"

if [ A"$SystemeIndispensable" = A"VRAI" ]; then apt-get install curl dpkg gparted grep  less linux-headers-amd64 lshw lshw-gtk manpages-fr mesa-utils ntfs-3g usbutils wget p7zip-full smartmontools unrar-free   mesa-utils rar ;apt-get install apt-file&& apt-file update ; fi
##apt-transport-https
#gsmartcontrol
echo SYSTEME

if [ A"$Systeme" = A"VRAI" ]; then apt-get install apt-file autoconf bc binutils build-essential coreutils debconf dmidecode fail2ban fdupes gettext glew-utils grsync  hdparm htop inxi iproute2 kmod  linux-source lsb-base lsb-release  mbr mtools net-tools nmap openssh-server pciutils screen screen secure-delete  smart-notifier subversion syslinux build-essential  util-linux unace xfsprogs reiserfsprogs  jfsutils xfsdump yelp kpartx  gpart udftools strace sqlite3 net-tools  genisoimage  testdisk make net-tools sqlite3 libreadline[0-9] ; sudo sed 's#backend = auto#backend = systemd#' -i  /etc/fail2ban/jail.conf && sudo systemctl status  fail2ban;fi
#reiser4progs hardinfo ## dmraid
echo réseau

if [ A"$Reseau" = A"VRAI" ]; then apt-get install chkrootkit fail2ban rkhunter net-tools nmap openssh-server ;sudo sed 's#backend = auto#backend = systemd#' -i  /etc/fail2ban/jail.conf && sudo systemctl status  fail2ban; fi
echo imprimantes

if [ A"$Imprimante" = A"VRAI" ]; then apt-get install cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-ppdc cups-server-common     foomatic-db-compressed-ppds foomatic-db-engine      mtink     openprinting-ppds      printer-driver-cups-pdf  printer-driver-cjet  python3-cups     sane-airscan simple-scan system-config-printer   ;fi
#printer-driver-all printer-driver-hpcups xsane
##python-cups
###cups-bsd ( ou lpr ? )

echo "puis en root ( remplacer machin par l’utilisateur )"
echo "adduser machin lp ; adduser machin lpadmin"
echo polices fonts

if [ A"$Polices" = A"VRAI" ]; then apt-get install gsfonts gsfonts-x11     xfonts-100dpi xfonts-75dpi  ttf-mscorefonts-installer;fi
# fonts-arkpandora


echo "PHOTOS"

if [ A"$Photos" = A"VRAI" ]; then  apt-get install dcraw darktable    exiftran exiv2   geeqie gimagereader  gimp gimp-data gimp-data-extras gimp-texturize gimp-lensfun gimp-gutenprint gimp-gmic gtkam-gimp gmic  icc-profiles  icc-profiles-free imagemagick    jhead    libjpeg-progs luminance-hdr libjpeg-progs mjpegtools   ;fi ;sed 's#<policy domain="coder" rights="none" pattern="PDF" />#<policy domain="coder" rights="read|write" pattern="PDF" />#' -i /etc/ImageMagick-6/policy.xml
#gpscorrelate-gui


echo AUDIO/VIDEO

if [ A"$AudioVideoVlc" = A"VRAI" ]; then apt-get install dvd+rw-tools ffmpeg  libde265-0    mplayer mpg321   vlc vorbis-tools vlc-plugin-access-extra vlc-bin x264  ; fi
# apt-get —purge remove ffmpeg2theora ; ffmpeg2theora
if [ A"$AudioVideo" = A"VRAI" ]; then  echo "éditeur GTK+ pour les tags de fichiers audio" ;     apt-get install easytag       alsamixergui audacity  flac   lame     mjpegtools    twolame               audacity    ffmpeg     mencoder mkvtoolnix mkvtoolnix-gui     timidity    vlc-plugin-fluidsynth vlc-plugin-jack xine-ui vlc-plugin-svg  rtmpdump x264 x265 ; echo  "édition vidéo audio, sous-titres" ; apt-get install gaupol      handbrake ; fi
# mpgtx openshot-qt n'existe plus sur trixie

#
echo "téléchargement de vidéos (ARTE...) : " ;

if [ A"$TelechargementVideo" = A"VRAI" ]; then apt-get install python3-pip && pip3 install yt-dlp    ; echo "alias ytdlp='python3 -m venv /tmp/ytdlp-poub&& source /tmp/ytdlp-poub/bin/activate  && pip install yt-dlp && yt-dlp \"$1\"'" >> ~/.bash_aliases    ;fi

##vlc-plugin-vlsub

#alias ytdlp=’python3 -m venv /tmp/ytdlp-poub&& source /tmp/ytdlp-poub/bin/activate && pip install yt-dlp && yt-dlp "$1"’
echo dvd cd gravage

if [ A"$DVD" = A"VRAI" ]; then apt-get install bc brasero brasero-cdrkit    dvd+rw-tools k3b kamera     mpg321   normalize-audio sox vcdimager vorbis-tools ;fi
echo MAILS

if [ A"$Thunderbird" = A"VRAI" ]; then echo 'nettoyage de thunderbird : on enlève les langues inutilisées' ;            apt-get --purge remove thunderbird-l10n-[a-eg-z]* thunderbird-l10n-f[a-qs-z]* ; apt-get install thunderbird-l10n-fr thunderbird ; fi
echo nettoyage de libreoffice : on enlève les langues inutilisées

if [ A"$LibreofficeFr" = A"VRAI" ]; then apt-get --purge remove libreoffice-l10n-[a-eg-z]* libreoffice-l10n-f[a-qs-z]*  ; fi



###########################""" PARTIE 2


echo OCR

apt-get install -y -d tesseract-ocr tesseract-ocr-fra gimagereader

echo textes, pdf, epub ...

apt-get install -y -d    calibre   djvulibre-desktop djview     inkscape         scribus-template
#scribus

apt-get install -y -d  cabextract dia diffpdf diffutils glew-utils    fldiff  g++ git    openssh-server  qtqr transmission-gtk webhttrack
#gpscorrelate-gui

